
{% extends "base.html" %}

{% block title %}Planning - Nouvelle fabrication{% endblock  %}

{% block content %}

<form action="" method="post" class="d-flex flex-column m-5">
    {% csrf_token %}
    {{ fabrication_form }}
    <div id="ordre_fabrication_form">
        {{ ordre_fabrication_form }}
    </div>
    <div class="d-flex justify-content-evenly mt-5">
        <a href="/fabrication" class="btn btn-secondary">Annuler</a>
        <button class="btn btn-primary">Créer</button>
    </div>
<form>

<script defer>
    document.querySelector("#id_ordre_fabrication")?.addEventListener("change", evt => {
        if (evt.target.value === "") {
            document.querySelector("#ordre_fabrication_form").style.display = 'block'
        } else {
            document.querySelector("#ordre_fabrication_form").style.display = 'none'
        }
    })

</script>

{% endblock  %}